--- a/configure.in
+++ b/configure.in
@@ -128,22 +128,21 @@
 dnl     LIBS="${LIBS}  -L${with_libpcap_libraries}"
 dnl fi
 
-CPPFLAGS="${CPPFLAGS} `libnet-config --defines`"
-CFLAGS="${CFLAGS} -funroll-loops -pipe"
+CPPFLAGS="${CPPFLAGS} `libnet-1.0-config --defines`"
 
-if test `libnet-config --cflags | wc -c` = "1"; then
+if test `libnet-1.0-config --cflags | wc -c` = "1"; then
     CPPFLAGS="${CPPFLAGS} -I/usr/local/include -I/sw/include"
     LIBNET_CONFIG_BROKEN_CFLAGS=yes
 else
-    CPPFLAGS="${CPPFLAGS} `libnet-config --cflags`"
+    CPPFLAGS="${CPPFLAGS} `libnet-1.0-config --cflags`"
 fi
 
-if test `libnet-config --libs | wc -c` = "1"; then
-    AC_MSG_WARN(libnet-config --libs is broken on your system.  If you)
+if test `libnet-1.0-config --libs | wc -c` = "1"; then
+    AC_MSG_WARN(libnet-1.0-config --libs is broken on your system.  If you)
     AC_MSG_WARN(are using a precompiled package please notify the maintainer.)
     LIBS="${LIBS} -L/usr/local/lib -L/sw/lib"
 else
-    LIBS="${LIBS} `libnet-config --libs | sed s/\-lnet//`"
+    LIBS="${LIBS} `libnet-1.0-config --libs`"
 fi
 
 AC_DEFUN(HEADER_FAIL_MESSAGE,[
@@ -185,7 +184,7 @@
 AC_CHECK_LIB(resolv, hstrerror)
 
 LNET=""
-AC_CHECK_LIB(net, libnet_build_ip,, LNET="no")
+AC_CHECK_LIB(net-1.0, libnet_build_ip,, LNET="no")
 
 if test "$LNET" = "no"; then
     echo
@@ -193,7 +192,7 @@
     echo "   http://www.packetfactory.net/projects/libnet/"
     echo "   or use the --with-libnet-* options, if you have it installed"
     echo "   in unusual place"
-    exit
+    exit 1
 fi
 
 dnl if test "$enable_pcapoutput" != "no" -a "$enable_pcapoutput" = "yes"; then
@@ -216,7 +215,7 @@
 AC_CHECK_HEADERS(unistd.h errno.h strings.h netdb.h limits.h machine/endian.h sys/time.h sys/param.h arpa/inet.h netinet/in.h)
 
 LNET=""
-AC_CHECK_HEADERS(libnet.h,, LNET="no")
+AC_CHECK_HEADERS(libnet-1.0.h,, LNET="no")
 
 if test "$LNET" = "no"; then
    echo
@@ -235,29 +234,29 @@
         libnet_dir="/usr/include /usr/local/include /sw/include"
     fi
 else
-    libnet_dir=`libnet-config --cflags | cut -dI -f2`
+    libnet_dir=`libnet-1.0-config --cflags | cut -dI -f2`
 fi
 
 LIBNET_INC_DIR=""
 for i in $libnet_dir; do
-    if test -r $i/libnet.h; then
+    if test -r $i/libnet-1.0.h; then
         LIBNET_INC_DIR=$i
     fi
 done
 
 if test "$LIBNET_INC_DIR" != ""; then
-    if eval "grep LIBNET_VERSION $LIBNET_INC_DIR/libnet.h | grep -v 1.0.2a >/dev/null"; then
+    if eval "grep LIBNET_VERSION $LIBNET_INC_DIR/libnet-1.0.h | grep -v 1.0.2a >/dev/null"; then
         AC_MSG_RESULT(no)
         echo
         echo "   ERROR!  Nemesis will *only* work with libnet version 1.0.2a,"
         echo "   go get it from"
         echo "   http://www.packetfactory.net/projects/libnet/"
-        HEADER_FAIL_MESSAGE("libnet 1.0.2a (libnet.h)", $LIBNET_INC_DIR)
+        HEADER_FAIL_MESSAGE("libnet 1.0.2a (libnet-1.0.h)", $LIBNET_INC_DIR)
     fi
     AC_MSG_RESULT(yes)
 else
     AC_MSG_RESULT(no)
-    HEADER_FAIL_MESSAGE("libnet 1.0.2a (libnet.h)", $libnet_dir)
+    HEADER_FAIL_MESSAGE("libnet 1.0.2a (libnet-1.0.h)", $libnet_dir)
 fi
 
 dnl if test "$enable_pcapoutput" != "no" -a "$enable_pcapoutput" = "yes"; then
--- a/src/nemesis-arp.h
+++ b/src/nemesis-arp.h
@@ -30 +30 @@
-#include <libnet.h>
+#include <libnet-1.0.h>
--- a/src/nemesis-dns.h
+++ b/src/nemesis-dns.h
@@ -30 +30 @@
-#include <libnet.h>
+#include <libnet-1.0.h>
--- a/src/nemesis-ethernet.h
+++ b/src/nemesis-ethernet.h
@@ -29 +29 @@
-#include <libnet.h>
+#include <libnet-1.0.h>
--- a/src/nemesis-functions.c
+++ b/src/nemesis-functions.c
@@ -37 +37 @@
-#include <libnet.h>
+#include <libnet-1.0.h>
--- a/src/nemesis-icmp.h
+++ b/src/nemesis-icmp.h
@@ -31 +31 @@
-#include <libnet.h>
+#include <libnet-1.0.h>
--- a/src/nemesis-igmp.h
+++ b/src/nemesis-igmp.h
@@ -30 +30 @@
-#include <libnet.h>
+#include <libnet-1.0.h>
--- a/src/nemesis-ip.h
+++ b/src/nemesis-ip.h
@@ -26 +26 @@
-#include <libnet.h>
+#include <libnet-1.0.h>
--- a/src/nemesis-ospf.h
+++ b/src/nemesis-ospf.h
@@ -33 +33 @@
-#include <libnet.h>
+#include <libnet-1.0.h>
--- a/src/nemesis-rip.h
+++ b/src/nemesis-rip.h
@@ -33 +33 @@
-#include <libnet.h>
+#include <libnet-1.0.h>
--- a/src/nemesis-tcp.h
+++ b/src/nemesis-tcp.h
@@ -30 +30 @@
-#include <libnet.h>
+#include <libnet-1.0.h>
--- a/src/nemesis-udp.h
+++ b/src/nemesis-udp.h
@@ -30 +30 @@
-#include <libnet.h>
+#include <libnet-1.0.h>
--- a/src/nemesis.h
+++ b/src/nemesis.h
@@ -15 +15 @@
-#include <libnet.h>
+#include <libnet-1.0.h>
--- a/src/nemesis-printout.c
+++ b/src/nemesis-printout.c
@@ -34 +34 @@
-#include <libnet.h>
+#include <libnet-1.0.h>
